curl --request POST \
--url https://whitebit.com/api/v4/main-account/create-new-address \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"ticker": "XLM",
"request": "{{request}}",
"nonce": 1594297865000
}
'{
"account": {
"address": "GDTSOI56XNVAKJNJBLJGRNZIVOCIZJRBIDKTWSCYEYNFAZEMBLN75RMN",
"memo": "48565488244493"
},
"required": {
"fixedFee": "0",
"flexFee": {
"maxFee": "0",
"minFee": "0",
"percent": "0"
},
"maxAmount": "0",
"minAmount": "1"
}
}Create new address for deposit
Generate a new cryptocurrency deposit address for a specified currency and network via the V4 API.
curl --request POST \
--url https://whitebit.com/api/v4/main-account/create-new-address \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"ticker": "XLM",
"request": "{{request}}",
"nonce": 1594297865000
}
'{
"account": {
"address": "GDTSOI56XNVAKJNJBLJGRNZIVOCIZJRBIDKTWSCYEYNFAZEMBLN75RMN",
"memo": "48565488244493"
},
"required": {
"fixedFee": "0",
"flexFee": {
"maxFee": "0",
"minFee": "0",
"percent": "0"
},
"maxAmount": "0",
"minAmount": "1"
}
}Used in these guides
- On/Off-Ramp integration — corporate fiat ↔ crypto over EUR/SEPA rails.
- Payment Integration — crypto deposits, withdrawals, conversion, WhiteBIT Codes, and Express Withdraw.
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Currency's ticker.
Example:
"XLM"
Request signature
Example:
"{{request}}"
Unique request identifier
Example:
1594297865000
Currency's network (for multinetwork currencies). Example: OMNI or TRC20 or ERC20. For USDT default network is ERC20(ETH).
Example:
"ERC20"
Address type, available for specific currencies list (see address types table in endpoint description)
Available options:
p2sh-segwit, bech32 Example:
"bech32"
Was this page helpful?